Una delle applicazioni molto utilizzate dagli utenti Linux è Skype la famosa applicazione con la quale possiamo chiamare in tutto il mondo gratuitamente o con tariffe veramente economiche grazie alla tecnologia Voip.
Ci sono arrivate diverse segnalazioni che indicavano che Skype non era presente nella versione per 64bit sui repository Canonical Partner per 11.10  Oneiric (per 32bit invece è presente) e chi installava il pacchetto per la release precedente si trovava l’errore libXss.so.1: cannot open shared object file: No such file or directory.
Il problema è stato segnalato già da diverse settimane speriamo che venga risolto il più presto possibile, intanto possiamo comunque installare Skype nella versione 64bit per Natty installando alcuni pacchetti per 32bit successivamente l’installazione. Ecco come fare:

Se dovete ancora installare Skype per 64bit basta che avviate il terminale e digitare;

cd

wget http://archive.canonical.com/pool/partner/s/skype/skype_2.2.0.35-0natty1_amd64.deb

sudo dpkg -i *.deb

sudo apt-get install -f

a questo punto sempre da terminale digitiamo:

echo foreign-architecture i386 | sudo tee /etc/dpkg/dpkg.cfg.d/multiarch

sudo apt-get install libxss1:i386 libqtcore4:i386 libqt4-dbus:i386

sudo apt-get install libqtgui4:i386

e avremo il nostro Skype su Ubuntu 11.10 Oneiric 64 Bit perfettamente funzionante.

Ringrazio Matteo e Carlocl per la segnalazione

No more articles